1. Help Center
  2. Technical Requirements

What are the system requirements to run Area9 Rhapsode™?

Browsers

In general, we support the two latest versions of major browsers:

  • Edge (Recommended for best performance)
  • Chrome (Recommended for best performance)
  • Firefox
  • Safari
  • IE11 (Rhapsode Curator™ Application not fully supported). NB: No longer supported by Microsoft. Area9 will end support in 2022.

Systems Minimum Requirements

Rhapsode Learner (End User)

  • Screen Size: 4.5"+ (mobile)
    • Some content types might not work on small screens
  • Win10+ with 4GB+ RAM (8GB+ recommended)
  • macOS 11+ with 4GB+ RAM (6GB+ recommended
  • Android 11+ with 2GB+ RAM  (Devices from 2019+ recommended)
  • iOS 14+ with 2GB+ RAM (Devices from 2019+ recommended)
  • Internet bandwidth: 1Mbit/s+ bandwidth (10MBit/s recommended, depends on content type)

Rhapsode Educator (Instructor/Teacher)

  • Screen Size: 10"+ (tablet)
    • Some features like analytics are best viewed on 14"+
  • Win10+ with 8GB+ RAM (12GB+ recommended)
  • macOS 11+ with 6GB+ RAM (8GB+ recommended
  • Android 11+ with 4GB+ RAM (Devices from 2019+ recommended)
  • iOS 14+ with 3GB+ RAM (Devices from 2019+ recommended)
  • Internet bandwidth: 1Mbit/s+ bandwidth (10MBit/s recommended, depends on usage)

Rhapsode Curator (Content Creator / Administrator)

  • Screen Size: 14"+ (Desktop PC, Curator not supported on phone or tablets)
    • For content creation and curation we recommend as large screens as possible
  • Win10+ with 8GB+ RAM (12GB+ recommended)
  • macOS 11+ with 6GB+ RAM (8GB+ recommended
  • Internet bandwidth: 10Mbit/s+ bandwidth (more is better)
  • Curator not supported on phone or tablets